Skip to main content
GET
Obtain token and chain details for swapping and/or bridging activity for a specific token on a specific chain

Path Parameters

chain
string
required

The blockchain that details should be provided for, e.g. "ETHEREUM".

token
string
required

The token that details should be provided for.

Response

ExtendedTokenEntry

decimals
required
coingeckoId
string
required

API ID of the token within the CoinGecko listing page.

token
string
required

The identifier for the token.

address
string
required

The contract address for the token on the given chain.

chain
string
required

The name of the chain.

isHiddenPublicly
enum<boolean> | null
Available options:
true
aliasFor
string | null
maxDepositLimit
maxWithdrawLimit
minAmountUsdInContract
allowedRouteChains
string[] | null